<%@ page language="java" contentType="text/html;charset=UTF-8" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<%--@elvariable id="elasticsearchSettings" type="org.jahia.modules.augmentedsearch.settings.ESSettings"--%>
<%--@elvariable id="flowRequestContext" type="org.springframework.webflow.execution.RequestContext"--%>
<template:addResources type="javascript" resources="workInProgress.js"/>
<fmt:message key="label.workInProgressTitle" var="i18nWaiting"/><c:set var="i18nWaiting" value="${functions:escapeJavaScript(i18nWaiting)}"/>

<h2>
    <fmt:message key="serverSettings.elasticsearch"/> - <fmt:message key="serverSettings.elasticsearch.settings"/>
</h2>
<p>
<c:forEach items="${flowRequestContext.messageContext.allMessages}" var="message">
    <c:if test="${message.severity eq 'INFO'}">
        <div class="alert alert-success">
            <button type="button" class="close" data-dismiss="alert">&times;</button>
                ${message.text}
        </div>
    </c:if>
    <c:if test="${message.severity eq 'ERROR'}">
        <div class="alert alert-error">
            <button type="button" class="close" data-dismiss="alert">&times;</button>
                ${message.text}
        </div>
    </c:if>
</c:forEach>
</p>

<div class="box-1">
    <c:if test="${elasticsearchSettings.pendingIndexationOperations >= 0}">
    <h3><fmt:message key="serverSettings.elasticsearch.pendingIndexOp"/>&nbsp;<span id="pendingCount">${elasticsearchSettings.pendingIndexationOperations}</span></h3>
    </c:if>

    <p class="label label-warning"><fmt:message key="serverSettings.elasticsearch.warning"/></p>

    <form:form class="form-horizontal" modelAttribute="elasticsearchSettings" method="post" onsubmit="workInProgress('${i18nWaiting}');">
        <div class="control-group">
            <form:label class="control-label" path="esConnectionId">
                <fmt:message key="serverSettings.elasticsearch.esConnectionId"/> <span style="color: red">*</span>:
            </form:label>

            <div class="controls">
                <form:select path="esConnectionId" >
                    <form:options items="${elasticsearchSettings.availableESConnectorKeys}"/>
                </form:select>
            </div>
        </div>

        <div class="control-group">
            <div class="controls">
                <button class="btn btn-primary" type="submit" name="_eventId_save"><i class="icon-ok icon-white"></i>&nbsp;<fmt:message key="label.save"/></button>
                <button class="btn " type="submit" name="_eventId_reindex"><i class="icon-refresh"></i>&nbsp;<fmt:message key="es.reindex"/></button>
            </div>
        </div>
    </form:form>
</div>



